%define	name	bzflag
%define version 2.4.0
%define rel 3

%define libname %mklibname %{name} 2

Name:		%{name}
Summary:	A multiplayer 3D tank battle game
Version:	%{version}
Release:	%mkrel %{rel}
Source0:	http://download.sourceforge.net/bzflag/%{name}-%{version}.tar.bz2
Patch0:		bzflag-2.0.4-lookup.patch
Source11:	%{name}.16.png
Source12:	%{name}.32.png
Source13:	%{name}.48.png
URL:		http://BZFlag.SourceForge.net/
License:	LGPLv2
Group:		Games/Arcade
BuildRequires:	SDL-devel
BuildRequires:	curl-devel
BuildRequires:	zlib-devel
BuildRequires:	ncurses-devel
BuildRequires:	glew-devel
BuildRequires:	mesaglu-devel
BuildRequires:	c-ares-devel
BuildConflicts:	freetds-devel
Epoch:		1

%description
BZFlag is a multiplayer 3D tank battle game. It's one of the most popular games
ever on Silicon Graphics systems.

%prep
%setup -q
%patch0 -p1 -b .lookup

%build
# We need to install the plugins under %{_libdir}/%{name} so they won't get
# in the way.
%configure2_5x --bindir=%{_gamesbindir} --datadir=%{_gamesdatadir} --enable-robots --libdir=%{_libdir}/%{name}
%make CXXFLAGS="$RPM_OPT_FLAGS -O1 -ffast-math -fno-exceptions -fsigned-char"

%install
rm -rf %{buildroot}
%{makeinstall_std}

find %{buildroot} -name '*.la' | xargs rm

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop << EOF
[Desktop Entry]
Name=BZflag
Comment=A multiplayer 3D tank battle game
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;ArcadeGame;
EOF

install -m644 %{SOURCE11} -D %{buildroot}%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D %{buildroot}%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D %{buildroot}%{_liconsdir}/%{name}.png

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README BUGS
%{_gamesbindir}/*
%{_gamesdatadir}/%{name}
%{_mandir}/*/*
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%dir %{_libdir}/bzflag
%{_libdir}/bzflag/*.so


%changelog

* Mon Oct 03 2011 fwang <fwang> 1:2.4.0-3.mga2
+ Revision: 151165
- rebuild for new glew

* Wed Sep 21 2011 fwang <fwang> 1:2.4.0-2.mga2
+ Revision: 146389
- drop .la files

* Fri Sep 16 2011 shlomif <shlomif> 1:2.4.0-1.mga2
+ Revision: 144306
- Bumped to 2.4.0. Placed the plugins in their own dir.

* Mon Apr 25 2011 wally <wally> 1:2.0.16-4.mga1
+ Revision: 90300
- fix desktop file (mga#954)
- drop buildroot definition
- clean .spec a bit

  + steletch <steletch>
    - Remove obsolete mdk macros

* Tue Mar 15 2011 steletch <steletch> 1:2.0.16-3.mga1
+ Revision: 72251
- Remove obsolete mdk macros
- imported package bzflag

